﻿@model Affiliation
@{
    bool isRia = Model != null && Model.Type == AffiliationTypeEnum.RegisteredInvestmentAdvisor;
}
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="affiliationModalTitle">@(Model?.Id>0?"Edit" :"Add") Affiliation</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="btn-close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="adviser/profile/saveAffiliation" id="kt_affiliation_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteAffiliation">
            <div class="modal-body">
                <input asp-for="Guid" />
                <div class="row">
                    <div class="col-xl-6">
                        <div class="form-group @(isRia ? "mb-2" :"") @(Model?.Guid!=null?"disabled-div":null)">
                            <label asp-for="Type"></label>
                            <select asp-for="Type" class="form-control form-control-lg @(Model?.Guid!=null?"disabled":null)" asp-items="Html.GetEnumSelectList<AffiliationTypeEnum>()"></select>
                            <span asp-validation-for="Type" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-6">
                        <div class="form-group @(isRia ? "mb-2" :"")">
                            <label asp-for="Name"></label>
                            <input asp-for="Name" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="Name" class="text-danger"></span>
                            <div class="@(!isRia ? "d-none":"")" id="sec-registered">
                                <div class="radio-inline mt-2">
                                    @foreach (var item in Html.GetEnumSelectList<RegisteredEnum>())
                                    {
                                        <label class="radio radio-outline radio-outline-2x radio-primary">
                                            <input type="radio" asp-for="RegisteredWith" value="@item.Value" checked="@(Model !=null && item.Value == ((int)Model.RegisteredWith).ToString() ?"checked" :null)">
                                            <span></span>
                                            @item.Text Registered
                                        </label>
                                    }
                                </div>
                                <span asp-validation-for="RegisteredWith" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="ComplianceOfficerName"></label>
                            <input asp-for="ComplianceOfficerName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="ComplianceOfficerName" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="Email"></label>
                            <input asp-for="Email" class="form-control form-control-lg" id="AdviserEmail">
                            <span asp-validation-for="Email" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="Phone"></label>
                            <input asp-for="Phone" class="form-control form-control-lg phone" type="text">
                            <span asp-validation-for="Phone" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="WebsiteUrl"></label>
                            <input asp-for="WebsiteUrl" class="form-control form-control-lg tolowercase">
                            <span asp-validation-for="WebsiteUrl" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="Address"></label>
                            <input asp-for="Address" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="Address" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="Address2"></label>
                            <input asp-for="Address2" class="form-control form-control-lg capitalize">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="ZipCode"></label>
                            <input asp-for="ZipCode" class="form-control form-control-lg zipcode">
                            <span asp-validation-for="ZipCode" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4 address d-none">
                        <div class="form-group">
                            <label asp-for="State"></label>
                            <input asp-for="State" class="form-control form-control-lg">
                            <span asp-validation-for="State" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4 address d-none">
                        <div class="form-group">
                            <label asp-for="City"></label>
                            <input asp-for="City" class="form-control form-control-lg">
                            <span asp-validation-for="City" class="text-danger"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_affiliation">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    var onFormCompleteAffiliation = function(response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        if (responseObj) {
            if (responseObj.success) {
                var result = responseObj.data;
                var el = $(`#${result.typeString}`);
                if (result && responseObj.actionType == "update")
                    el.find(`option[value='${result.id}']`).remove();
                var newOption = new Option(result.name, result.id, true, true);
                el.append(newOption).trigger("change");
                el.trigger({
                    type: "select2:select",
                    params: {
                        data: { id: result.id, text: result.name, guid: result.guid }
                    }
                });
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                if (window['sub_datatable_' + result.type] != undefined)
                    window['sub_datatable_' + result.type].reload();

                var el = $(`#adviser_firm_list [data-field='total'] .label-info[data-id='${result.type}']`);

                el.text(result.adviserCount);
                if ($(`#adviser_firm_list`).length > 0 && $(`#adviser_firm_list_${result.type}:visible`).length == 0)
                    $(`#adviser_firm_list .datatable-toggle-subtable[data-value=${result.type}]`).click();

                toastr.options = toastrOptions;
                toastr.clear();
                toastr.success(responseObj.message);
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
        localStorage.removeItem("buttonType")
    };
    var showHideZip = function(zipcode) {
        zipcode = zipcode ? zipcode.replace(/_/g, '') : zipcode;
        $(".address").addClass("d-none");
        if (zipcode && zipcode.length > 4) {
            $(".address").removeClass("d-none");
            $("#State").val("");
            $("#City").val("");
            $.get(`https://zip.getziptastic.com/v2/US/${zipcode}`, function(response) {
                $("#State").val(response.state);
                $("#City").val(response.city);
            });
        }
        else
            $(".address").addClass("d-none");
    }
    var zipcode = $("#ZipCode").val();
    showHideZip(zipcode);
    $("#ZipCode").on('input', function() {
        var zipcode = $(this).val();
        showHideZip(zipcode);
    });
</script>